diff a/test/lib/jdk/test/lib/cds/CDSTestUtils.java b/test/lib/jdk/test/lib/cds/CDSTestUtils.java
--- a/test/lib/jdk/test/lib/cds/CDSTestUtils.java
+++ b/test/lib/jdk/test/lib/cds/CDSTestUtils.java
@@ -434,11 +434,13 @@
         if (!opts.useSystemArchive) {
             if (opts.archiveName == null)
                 opts.archiveName = getDefaultArchiveName();
             cmd.add("-XX:SharedArchiveFile=" + opts.archiveName);
         }
-        addVerifyArchivedFields(cmd);
+        if (!opts.benchmarkMode) {
+          addVerifyArchivedFields(cmd);
+        }
 
         if (opts.useVersion)
             cmd.add("-version");
 
         for (String s : opts.suffix) cmd.add(s);
